import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Required;
import org.springframework.jdbc.core.JdbcTemplate;

import javax.sql.DataSource;

/**
 * @author Johno Crawford (johno@sulake.com)
 */
public class JdbcTestDao implements TestDao {

    private JdbcTemplate jdbcTemplate;

    private static final String INSERT_SQL = "LOAD DATA INFILE ? INTO TABLE hlog_event_log_loginfriends FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '\"' ESCAPED BY '\\\\' LINES TERMINATED BY '\\n';";

    @Override
    public void insert(String path) {
        System.out.println("Running " + INSERT_SQL);
        int rows = jdbcTemplate.update(INSERT_SQL, path);
        System.out.println("Load complete, rows " + rows);
    }

    @Required
    public void setDataSource(DataSource dataSource) {
        this.jdbcTemplate = new JdbcTemplate(dataSource);
    }
}
